if Rails::VERSION::MAJOR >= 3
  RedmineApp::Application.routes.draw do
    match 'list_duplicate_views', :to => 'list_duplicate_views#index', :via => [:get, :post]
    match 'batch_remove_projects', :to => 'list_duplicate_views#batch_remove_projects', :via => [:get, :post]
    match 'clean_up_attachments_folder', :to => 'list_duplicate_views#clean_up_attachments_folder', :via => [:get, :post]
  end
else
  ActionController::Routing::Routes.draw do |map|
    map.with_options :controller => 'list_duplicate_views' do |issues_routes|
      issues_routes.with_options :conditions => {:method => :get} do |issues_views|
        issues_views.connect 'list_duplicate_views', :action => 'index'
        issues_views.connect 'batch_remove_projects', :action => 'batch_remove_projects'
        issues_views.connect 'clean_up_attachments_folder', :action => 'clean_up_attachments_folder'
      end
    end
    map.with_options :controller => 'list_duplicate_views' do |issues_routes|
      issues_routes.with_options :conditions => {:method => :post} do |issues_views|
        issues_views.connect 'list_duplicate_views', :action => 'index'
        issues_views.connect 'batch_remove_projects', :action => 'batch_remove_projects'
        issues_views.connect 'clean_up_attachments_folder', :action => 'clean_up_attachments_folder'
      end
    end
  end
end
