require 'redmine'
require 'dispatcher' unless Rails::VERSION::MAJOR >= 3

module LDV_AssetHelpers
  PLUGIN_NAME = File.expand_path('../*', __FILE__).match(/.*\/(.*)\/\*$/)[1].to_sym
end


unless Redmine::Plugin.registered_plugins.keys.include?(LDV_AssetHelpers::PLUGIN_NAME)
	Redmine::Plugin.register LDV_AssetHelpers::PLUGIN_NAME do
	  name 'List duplicate views plugin'
	  author 'Vitaly Klimov'
	  author_url 'mailto:vitaly.klimov@snowbirdgames.com'
	  description 'List duplicate views plugin for Redmine'
	  version '0.0.5'

	  menu :admin_menu, :admin_menu_ldv_label, { :controller => 'list_duplicate_views', :action => 'index'}, :caption => :admin_menu_ldv_label
    menu :admin_menu, :admin_menu_ldv_label_2, { :controller => 'list_duplicate_views', :action => 'batch_remove_projects'}, :caption => :admin_menu_ldv_label_2
    menu :admin_menu, :admin_menu_ldv_label_3, { :controller => 'list_duplicate_views', :action => 'clean_up_attachments_folder'}, :caption => :admin_menu_ldv_label_3

	end
end

if Rails::VERSION::MAJOR >= 3
  ActionDispatch::Callbacks.to_prepare do
    Mime::Type.register('application/vnd.ms-excel', :xls, %w(application/vnd.ms-excel)) unless defined?(Mime::XLS)
  end
else
  Dispatcher.to_prepare LDV_AssetHelpers::PLUGIN_NAME do
    Mime::Type.register('application/vnd.ms-excel', :xls, %w(application/vnd.ms-excel)) unless defined?(Mime::XLS)
  end
end
